/*
    Login oldal
    Mindegyik elején: #login
    Alváltozatok: #login.Index, #login.PasswordReset, #login.NewPassword
*/

#login.PageBackground {
    background-image: url("image/login_video_background.jpg");
}

#login .Logo {
    position: absolute;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    font-size: 0;
    color: transparent;
}

#login .Logo.Pwc {
    left: 1.6%;
    top: 1.5%;
    height: 9.5%;
    width: 6.9%;
    background-image: url("../../Global/image/logo-pwc-color.png");
    -webkit-transform: rotate(-2.72deg);
    transform: rotate(-2.72deg);
}

#login .Logo.Ifrs {
    left: 10.3%;
    top: 1.2%;
    height: 9.3%;
    width: 9.2%;
    background-image: url("../../Global/image/logo-ifrs.png");
}

#login .Dialog:after {
    content: "";
    position: absolute;
    bottom: -6%;
    left: -27%;
    height: 63.6%;
    width: 63.6%;
    background-image: url("../../Global/Dialog/image/dialog-blast-bubble.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    z-index: -1;
}

#login .Dialog .Header {
    text-align: center;
    font-size: 2rem;
    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
    line-height: 1;
    margin-bottom: 0.5rem;
}


#login .Dialog .Content .Middle {
}

#login .Form {
}

#login .Form .Element {
    position: relative;
    margin-bottom: 0.3rem;
    background-image: url("../../Global/Input/image/textbox.png");
    background-repeat: no-repeat;
    background-position: left top 1.9rem;
    background-size: contain;
    padding: 0 0.5rem 0.63rem 0.5rem;
    text-align: center;
}

#login .Form .Element:last-of-type {
    margin-bottom: 0;
}

#login .Form label {
    display: block;
    color: rgba(26,23,27,0.97);
    text-transform: uppercase;
    font-size: 1rem;
    line-height: 1.2;
    text-align: center;
    margin-bottom: 1rem;
    font-weight: bold;
}

#login .Form input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 1000px white inset;
}

#login input[type="text"],
#login input[type="password"]{
    padding: 0 0.5rem;
    background-image: none;
    height: auto;
    margin-bottom: -0.1rem;
}

#login .Form button{
    position: absolute;
    left: 50%;
    bottom: 5%;
    padding-right: 3.5rem;
    padding-left: 0.5rem;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
}


#login .Dialog.Password.Reset .Form button{
    bottom: -4rem;
}

#login .Form button:after{
    position: absolute;
    right: 0;
    top: 0;
    content: '';
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    border: 2px solid #111010;
    background-color: #F26722;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 1.25rem;
    background-image: url("../../Global/Input/image/button-arrow-right.png");
}

#login .Dialog.Password:after{
    display: none;
}

#login .ForgottenPassword {
    text-align: center;
    margin-top: -3.5rem;
}
#login .ForgottenPassword a{
    color: rgba(26,23,27,0.97);
    text-transform: lowercase;
    font-size: 0.75rem;
    line-height: 1.2;
    text-align: center;
    font-weight: bold;
}

#login .Password .Description{
    margin-bottom: 2rem;
}

#login .Password.Request .Element.Hidden{
    background: none;
    margin-top: -0.5rem;
}

#login .Dialog .Content .Middle ul.Errors{
    margin-top: 0.3rem;
}

#login .Dialog .Content .Middle ul.Errors > li,
#login .Dialog.Password .Content .Middle ul > li {
    padding: 0;
    margin: 0;
}

#login .Dialog .Content .Middle ul.Errors > li:before,
#login .Dialog.Password .Content .Middle ul > li:before{
    display: none;
}

#login .Dialog.Password.FormSuccess .Footer{
    margin-top: -4.5rem;
}

#login .Dialog.Password.Reset .Middle{
    padding-top: 0;
}


#login .Dialog.Password .Hint{
    font-size: 0.75rem;
}


#login .Message {
    line-height: 1;
    font-size: 0.8rem;
    color: #fff;
    padding: 0.5rem 1rem 1rem 1rem;
    margin: -1.5rem 0 0.5rem 0;
    background-repeat: no-repeat;
    background-position: left top;
    background-size: 100% 100%;
    text-align: center;
}

#login .Message.Error {
    background-image: url("image/message-error.png");
}

#login .Message.Success {
    background: #1ce4ae;
}

#login .Video{
    position: absolute;
    top: 11.2%;
    left: -1.3%;
    width: 31%;
    height: 29%;
    z-index: 101;
    
    -webkit-transform: rotate(-2.9deg);
    -moz-transform: rotate(-2.9deg);
    -ms-transform: rotate(-2.9deg);
    -o-transform: rotate(-2.9deg);
    transform: rotate(-2.9deg)
}

#login .Video iframe {
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    border: 0.1em solid #000000;
    border-radius: 0.2em;
}

#login .Element.Hidden{
    padding: 0;
}

#login input[type="hidden"]{
    visibility: hidden;
}

#login .Form .Element.Multi_checkbox {
    padding: 0;
    background-image: none;
    margin: 1.6rem 0 0 0;
}

#login .Form .Element.Multi_checkbox label{
    display: inline-block;
    white-space: nowrap;
    cursor: pointer;
}

#login .Form .Element.Multi_checkbox input[type="checkbox"] {
    margin: 0 1rem 0 0;
    position: relative;
}

#login .Form .Element.Multi_checkbox input[type="checkbox"]:after,
#login .Form .Element.Multi_checkbox input[type="checkbox"]:checked:after{
    position: absolute;
    content: '';
    top: -0.7rem;
    left: -0.7rem;
    width: 1.8rem;
    height: 1.8rem;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    background-image: url("../../Global/Input/image/checkbox.png");
}

#login .Form .Element.Multi_checkbox input[type="checkbox"]:checked:after{
    background-image: url("../../Global/Input/image/checkbox-checked.png");
}


#login .Dialog .Content .Middle {
    padding: 0 1rem 1rem 1rem;
}

#login .Agreement {
    text-align: center;
    margin-top: 1.5rem;
    position: relative;
    z-index: 1;
}
#login .Agreement a {
    color: rgba(26,23,27,0.97);
    text-transform: lowercase;
    font-size: 0.75rem;
    line-height: 1.2;
    text-align: center;
    font-weight: bold;
}